// EcopayDoc.cpp : Implementierung der Klasse CEcopayDoc
//

#include "stdafx.h"
#include "Ecopay.h"

#include "EcopayDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CEcopayDoc

IMPLEMENT_DYNCREATE(CEcopayDoc, CDocument)

BEGIN_MESSAGE_MAP(CEcopayDoc, CDocument)
END_MESSAGE_MAP()

// CEcopayDoc-Erstellung/Zerstörung

CEcopayDoc::CEcopayDoc()
{
    // TODO: Hier Code für One-Time-Konstruktion einfügen

}

CEcopayDoc::~CEcopayDoc()
{
}

BOOL CEcopayDoc::OnNewDocument()
{
    if( !CDocument::OnNewDocument())
        return FALSE;

    // TODO: Hier Code zur Reinitialisierung einfügen
    // (SDI-Dokumente verwenden dieses Dokument)

    return TRUE;
}

// CEcopayDoc-Serialisierung

void CEcopayDoc::Serialize( CArchive& ar)
{
    if( ar.IsStoring())
    {
        // TODO: Hier Code zum Speichern einfügen
    } else
    {
        // TODO: Hier Code zum Laden einfügen
    }
}

// CEcopayDoc-Diagnose

#ifdef _DEBUG
void CEcopayDoc::AssertValid() const
{
    CDocument::AssertValid();
}

void CEcopayDoc::Dump(CDumpContext& dc) const
{
    CDocument::Dump(dc);
}
#endif //_DEBUG

// CEcopayDoc-Befehle
